# -*- coding: utf-8 -*-
# Generated by Django 1.11 on 2017-10-13 21:04
from __future__ import unicode_literals

from django.db import migrations
from django.db.migrations import RunPython

def remove_some_description_fields(apps, schema_editor):
    template_model = apps.get_model('sommelier_bot', 'TelegramMessageTemplate')
    variable_model = apps.get_model('sommelier_bot', 'TelegramMessageTemplateTestVariable')

    comm_event_types = [
        {
            'code': 'MESSAGE_TO_CHAT',
            'variables': [
                {
                    'code': 'category.name',
                },
                {
                    'code': 'range.name',
                },
            ]
        },
        {
            'code': 'MESSAGE_TO_PERSON',
            'variables': [
                {
                    'code': 'category.name',
                },
                {
                    'code': 'range.name',
                },

            ]
        },
    ]

    for comm_event_type in comm_event_types:
        template = template_model.objects.get(code=comm_event_type['code'])
        for variable in comm_event_type['variables']:
            variables = template.test_variables.filter(code=variable['code'])
            if len(variables):
                variables.delete()

class Migration(migrations.Migration):

    dependencies = [
        ('sommelier_bot', '0006_auto_20171012_1235'),
    ]

    operations = [
        RunPython(remove_some_description_fields)
    ]
